Bug 815558 - CUnit FTBFS in F17/beyond due to newer automake
CUnit FTBFS in F17/beyond due to newer automake
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: CUnit (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-04-23 16:48 EDT by Brendan Conoboy
Modified: 2012-05-26 02:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: CUnit-2.1.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 18:36:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brendan Conoboy 2012-04-23 16:48:32 EDT
Description of problem:

CUnit no longer builds on Fedora 17, nor will it build in rawhide.

Version-Release number of selected component (if applicable):

The CUnit in F17 was originally built with automake-1.11.1.  F17 and beyond now use automake-1.11.3 which is incompatible.

How reproducible:

Every time.

Steps to Reproduce:
1.  Use mock to build cunit on a f17 root- it will fail. Any arch.
  
Actual results:

Here is the pertinent part of the build log:

Making all in doc
make[2]: Entering directory `/builddir/build/BUILD/CUnit-2.1-2/doc'
 cd .. && automake-1.11 --gnu doc/Makefile
aclocal.m4:16: warning: this file was generated for autoconf 2.67.
You have another version of autoconf.  It may work, but is not guaranteed to.
If you have problems, you may need to regenerate the build system entirely.
To do so, use the procedure documented by the package, typically `autoreconf'.
configure.in:161: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2662: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2679: AC_LINK_IFELSE is expanded from...
aclocal.m4:1037: _LT_SYS_MODULE_PATH_AIX is expanded from...
aclocal.m4:4185: _LT_LINKER_SHLIBS is expanded from...
aclocal.m4:5268: _LT_LANG_C_CONFIG is expanded from...
aclocal.m4:159: _LT_SETUP is expanded from...
aclocal.m4:88: LT_INIT is expanded from...
aclocal.m4:123: AC_PROG_LIBTOOL is expanded from...
configure.in:161: the top level
configure.in:161: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2662: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2679: AC_LINK_IFELSE is expanded from...
aclocal.m4:4185: _LT_LINKER_SHLIBS is expanded from...
aclocal.m4:5268: _LT_LANG_C_CONFIG is expanded from...
aclocal.m4:159: _LT_SETUP is expanded from...
aclocal.m4:88: LT_INIT is expanded from...
aclocal.m4:123: AC_PROG_LIBTOOL is expanded from...
configure.in:161: the top level
configure.in:4: version mismatch.  This is Automake 1.11.3,
configure.in:4: but the definition used by this AM_INIT_AUTOMAKE
configure.in:4: comes from Automake 1.11.1.  You should recreate
configure.in:4: aclocal.m4 with aclocal and run automake again.
make[2]: Leaving directory `/builddir/build/BUILD/CUnit-2.1-2/doc'
make[2]: *** [Makefile.in] Error 63
make[1]: Leaving directory `/builddir/build/BUILD/CUnit-2.1-2'
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
Comment 1 Fedora Update System 2012-05-02 06:00:57 EDT
CUnit-2.1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-1.fc16
Comment 2 Fedora Update System 2012-05-02 06:01:07 EDT
CUnit-2.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-1.fc15
Comment 3 Fedora Update System 2012-05-02 06:01:16 EDT
CUnit-2.1.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-1.fc17
Comment 4 Fedora Update System 2012-05-02 16:34:07 EDT
Package CUnit-2.1.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing CUnit-2.1.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7102/CUnit-2.1.3-1.fc17
then log in and leave karma (feedback).
Comment 5 Brendan Conoboy 2012-05-07 18:36:54 EDT
Build is fixed- thanks!
Comment 6 Fedora Update System 2012-05-11 06:24:58 EDT
CUnit-2.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-05-11 06:28:32 EDT
CUnit-2.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-26 02:50:28 EDT
CUnit-2.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.